RPM Support - Issue #3816

Pulp removes current metadata when remove_old_repodata_threshold =0
07/03/2018 08:19 PM - Ichimonji10

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Master Sprint Candidate: No
Platform Release: 2171 Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

When one publishes an RPM repository, a number of metadata files are created. These files should be cleaned up at some point.
Otherwise, metadata files from various publishes will pile up and consume resources such as disk space and inodes. RPM
distributors offer a pair of options to control this behaviour:

® remove_old_repodata defines whether old metadata should be cleaned up at some point.
* remove_old_repodata_threshold defines how old metadata should be before it's cleaned up.

The most aggressive possible combination is {"remove_old_repodata": true, "remove_old_repodata_threshold": 0}. This combination
of values should produce the following apparent publish-time behaviour:

# Pseudocode
if remove_old_repodata:
for metadata_file in metadata_files:
if age(metadata_file) >= remove_old_repodata_threshold:
delete (metadata_file)
generate_new_metadata ()

However, the Pulp 2 master code that will become Pulp 2.17 produces the following apparent publish-time behaviour:

# Pseudocode
generate_new_metadata ()
if remove_old_repodata:
for metadata_file in metadata_files:
if age (metadata_file) >= remove_old_repodata_threshold:
delete (metadata_file)

The underlying cause of the bug could be something else, of course. Notably, setting remove_old_repodata_threshold to 1 fixes the
problem. Regardless of the exact reason, the end result is that one can publish an RPM repository that has absolutely no metdata.
No repomd.xml, no ...-comps.xml, nothing.

The easiest way to reproduce is to execute a Pulp Smash test: python -m unittest
pulp_smash.tests.pulp2.rpm.api_v2.test_republish.RemoveOldRepodataTestCase.test_cleanup_now. To reproduce in a more
manual fashion, create an RPM repository with a request like the following, then add content to Pulp and publish the repository:

{'distributors': [{'auto_publish': False,
'distributor_config': {'generate_sqglite': True,
'http': True,
'https': True,
'relative_url': '73d25e9e-24d7-4953-98bb-ebe055be3050/"',
'remove_old_repodata_threshold': 0},
'distributor_id': 'ed4cbd2ed-626c-4dcO-acde-7125fef8373e’,
'distributor_type_id': 'yum_distributor'}],
'id': '653a3067-1d57-4114-bf5a-49b4fc08e3ff"’,
'importer_config': {},

11/30/2021 1/7




'importer_type_id': 'yum_importer',
'notes': {'_repo-type': 'rpm-repo'}}

Here's some logs from a target VM while the aforementioned Pulp Smash test is running. Notice the two "Removed outdated" blocks
in the log. This is from the two publishes.

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su
bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr
=192.168.101.1 terminal=ssh res=su[168/197]

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses
=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:
6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1e:1c direction=? spid=1638 suid=0 exe="/usr/sbin/sshd" hostna
me=? addr=? terminal=? res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su
bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr
=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses
=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:
6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1e:1c direction=? spid=1653 suid=0 exe="/usr/sbin/sshd" hostna
me=? addr=? terminal=? res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su
bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr
=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses
=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:
6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:Db

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1e:1c direction=? spid=1673 suid=0 exe="/usr/sbin/sshd" hostna
me=? addr=? terminal=? res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj
=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1
92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[845]: kombu.transport.qgpid:INFO: Connected to gpi
d with SASL mechanism ANONYMOUS

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[l1173]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._qgueue_reserved_task[8067265b-£f402-4372-bc0b-b241335b20c4]
Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1302]:
py.warnings:WARNING: [8067265b] (1302-18336) /usr/lib64/python2.7/site-packages/pymongo/topology.
py:145: UserWarning: MongoClient opened before fork. Create MongoClient with connect=F
alse, or create client after forking. See PyMongo's documentation for details: http://api.mongodb.
org/python/current/faqg.html#pymongo-fork—-safe>

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1302]: py.warnings:WARNING: [8067265b] (1302-1833
6) "MongoClient opened before fork. Create MongoClient "

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1302]: py.warnings:WARNING: [8067265b] (1302-1833
6)

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1302]: kombu.transport.gpid:INFO: [8067265b] Conn

ected to gpid with SASL mechanism ANONYMOUS

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.managers.content.upload.import_uploaded_unit [62c45ebc-5795-4c4f-80fa-c2d3ae3aaaef]

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1299]: py.warnings:WARNING: [62c45ebc] (1299-8288
0) /usr/lib64/python2.7/site-packages/pymongo/topology.py:145: UserWarning: MongoClient opened bef
ore fork. Create MongoClient with connect=F

alse, or create client after forking. See PyMongo's documentation for details: http://api.mongodb.
org/python/current/faqg.html#pymongo-fork-safe>

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1299]: py.warnings:WARNING: [62c45ebc] (1299-8288
0) "MongoClient opened before fork. Create MongoClient "
Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1299]: py.warnings:WARNING: [62c45ebc] (1299-8288
0)

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1302]: celery.app.trace:INFO: [8067265b] Task pul

p.server.async.tasks._qgqueue_reserved_task[8067265b-£f402-4372-bc0b-0b241335b20c4] succeeded in 0.067

986821s: None

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._release_resource[25719284-£645-44c1-8cf3-274d76c57576]

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [62c45ebc] Task pul
p.server.managers.content.upload.import_uploaded_unit [62c45ebc-5795-4c4f-80fa-c2d3ae3aaaef] succee
ded in 0.045987285s: {'details': {}, 'succe

ss_flag': True, 'summary': ''}

Jul 03 13:45:24 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [25719284] Task pul
p.server.async.tasks._release_resource[25719284-f645-44c1-8cf£3-274d76c57576] succeeded in 0.003451
46399999s: None

Jul 03 13:45:26 fedora-27-pulp-2-17-nightly pulp[844]: kombu.transport.qgpid:INFO: Connected to gpi
d with SASL mechanism ANONYMOUS

Jul 03 13:45:26 fedora-27-pulp-2-17-nightly pulp[1173]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._qgueue_reserved_task[c8332162-d924-4ae2-a5f3-37b3£d83599c¢]

Jul 03 13:45:26 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.managers.repo.publish.publish[18783006-8bc8-4701-9857-05d672c3dc0e]

Jul 03 13:45:26 fedora-27-pulp-2-17-nightly pulp[1302]: celery.app.trace:INFO: [c8332162] Task pul

p.server.async.tasks._queue_reserved_task([c8332162-d924-4ae2-a5f3-37b3£d83599¢c] succeeded in 0.016

684196s: None

Jul 03 13:45:26 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._release_resource[29317462-3820-476d-a52f-6£31a9690876]

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated a27718cc28ec6d71432e0ef3e6da544b7£9d93f6bb7d0a55aac

d592d03144b70—-comps .xml

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated £3671e8d72f77£ff71b21£20b784e1192b98e2f961398a53389d

ae7b72d7333d0-updateinfo.xml.gz

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated 4£f949611bl3ele202a4ac03b581c2f2eb53b8d900eaalbc60a’

839d3b999c7fc-primary.xml.gz

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated edb06£565ddf9156c623867135afdbld5dadf64ac34313af20f

d8ef3115604c9-filelists.xml.gz

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated 02af42693f5d14b5c9300310babdb5e6ec49e428d69454d99c3

98b734075af82-other.xml.qgz

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated 3f559e93b68449e48e9334bl0dfdedebfc9fadb3dceclced542

485a209797a51l-primary.sqglite.bz2

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated ea2dfeef92713e70a2bc010df5463198670b4c02e9b6ffd9%ea3l

161lcca808ff57-filelists.sqglite.bz2

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated 99ebfacl46e8dtabal9cab8bl57b18e40caz2d2c6cldde840b9f

af526da752584-other.sqglite.bz2

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated 9f7e68e69d7e2453caa3865a97£8165c1£34d089010c8eb00e”

fef6396abaafa-comps.xml.gz

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [18783006] Removed outdated repomd.xml

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [18783006] Task pul

p.server.managers.repo.publish.publish[18783006-8bc8-4701-9857-05d672c3dc0e] succeeded in 0.239101

687s: {'exception': None, 'repo_id': '98d7b

060-b886-4d3a-b0c3-0bff60975£93"', 'traceback': None, 'started': '2018-07-03T17:45:26Z', '_ns': 're

po_publish_results', 'completed': datetime.datetime (2018, 7, 3, 17, 45, 27, 183453, tzinfo=<isodat

e.tzinfo.Utc object at 0x7£7e8953ad90>), 'e

rror_message': None, 'distributor_type_id': 'yum_ distributor', 'distributor_id': '1352815b-f627-44

£f4-93a0-b2cb9182d81la', 'summary': {'generate sglite': 'FINISHED', 'initialize_repo_metadata': 'FIN
ISHED', 'rpms': 'FINISHED', 'repoview': 'SK

IPPED', 'close_repo_metadata': 'FINISHED', 'errata': 'FINISHED', 'comps': 'FINISHED', 'distributio
n': '"FINISHED', 'drpms': 'SKIPPED', 'publish_directory': 'FINISHED', 'remove_old_repodata': 'FINIS
HED', 'metadata': 'FINISHED'}, 'result': 's

uccess', 'id': '5b3bb637dc532105135ae42c', 'details': [{'num_processed': 1, 'items_total': 1, 'sta
te': '"FINISHED', 'num_success': 1, 'error_details': [...], 'description': 'Initializing repo metad
ata', 'num_failures': 0, 'step_id': '51£823

76-04d7-4dec-97bd-87d822bcfcda', ...}]}

Jul 03 13:45:27 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [29317462] Task pul

p.server.async.tasks._release_resource[29317462-3820-476d-a52f-6£31a9690876] succeeded in 0.002170

74700001s: None

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su

bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr

=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses

=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:

6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1le:1c direction=? spid=1709 suid=0 exe="/usr/sbin/sshd" hostna

me=? addr=? terminal=? res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su

bij=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr

=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses

=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:

6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1e:1c direction=? spid=1723 suid=0 exe="/usr/sbin/sshd" hostna

me=? addr=? terminal=? res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[846]: kombu.transport.qgpid:INFO: Connected to gpi

d with SASL mechanism ANONYMOUS

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1173]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._qgqueue_reserved_task[00451519-3a07-4alc-95e0-6ebcb7b8c69d]

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.managers.content.upload.import_uploaded_unit [92c9%9a64f-190f-4£f44-8ccl-1c564cdbc489]
Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1302]: celery.app.trace:INFO: [00451519] Task pul
p.server.async.tasks._queue_reserved_task[00451519-3a07-4alc-95e0-6ebcb7b8c69d] succeeded in 0.013

211733s: None

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._release_resource[b9234397-451a-4012-997b-ba90919£f3f1f]

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [92c9a64f] Task pul

p.server.managers.content.upload.import_uploaded_unit [92c9a64f-190f-4f44-8ccl-1c564cdbc489] succee

ded in 0.024780344s: {'details': {}, 'succe

ss_flag': True, 'summary': ''}

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [b9234397] Task pul

p.server.async.tasks._release_resource[b9234397-451a-4012-997b-ba90919£3f1f] succeeded in 0.001105

817s: None

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1173]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._qgqueue_reserved_task[d5eabf70-3f9b-4b66-a482-65£5c7c9017£f]

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.managers.repo.publish.publish[aalb5d93-2£f05-45c0-a5a3-3d1670fa2ec6]

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[l1195]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._release_resource[b673bdl19-9d54-4ae4-8f62-fel0aa3a04dd0]

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1302]: celery.app.trace:INFO: [d5eabf70] Task pul

p.server.async.tasks._queue_reserved_task [d5eabf70-3f9b-4b66-a482-65£5c7c9017f] succeeded in 0.022

670332s: None

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [aalb5d93] Removed outdated a27718cc28ec6d71432e0ef3e6dab544b7£9d93f6bb7d0a55aac

d592d03144b70-comps .xml

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors

.yum.publish:INFO: [aalb5d93] Removed outdated c5cb88c5£87df629b9feal2eda85586b6ab0518£2d67b76cl0c

816573c91leb77-updateinfo.xml.gz

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated 6b0ea8e21b7874e23daf8402924deece2e9%abbcedealbb6dl1304
96e€a025919745-primary.xml.gz

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated c0951a5232bd369545841cb95c4bb996dad5358e3057268544d
5207b£f215f5c3-filelists.xml.gz

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated £028e70abb787680e085bc62ceedcda9b8cbed485e1£5de008d
9d6ed487ea3857-other.xml.gz

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated 30e3cbf4041e63e6d57ba24dbf228c98c6467153c59a55a4179
098c5b5267792-primary.sqglite.bz2

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated 2d85f935a9d19ea9634£fc3533589d58b9%bc471a77bee90dfbbdc
bf44d6£f4a0569-filelists.sglite.bz2

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated 902a7b2edb8f%aed7adefbae9982dbacef88£105e757372552a
57£736a9739bd-other.sqglite.bz2

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated 9f7e68e69d7e2453caa3865a97£8165c1£34d089010c8eb00e7
fef6396abaafa-comps.xml.gz

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: pulp.plugins.pulp_rpm.plugins.distributors
.yum.publish:INFO: [aalb5d93] Removed outdated repomd.xml

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [aalb5d93] Task pul
p.server.managers.repo.publish.publish[aalb5d93-2f05-45c0-a5a3-3d1670fa2ec6] succeeded in 0.169505
36s: {'exception': None, 'repo_id': '98d7b0

60-b886-4d3a-b0c3-0bff60975£93"', 'traceback': None, 'started': '2018-07-03T17:45:292', '_ns': 'rep
o_publish_results', 'completed': datetime.datetime (2018, 7, 3, 17, 45, 29, 832412, tzinfo=<isodate
.tzinfo.Utc object at 0x7£7e8953ad90>), 'er

ror_message': None, 'distributor_type_id': 'yum_distributor', 'distributor_id': '1352815b-f627-44f

4-93a0-b2cb9182d8la', 'summary': {'generate sqglite': 'FINISHED', 'initialize_repo_metadata': 'FINI

SHED', 'remove_old_repodata': 'FINISHED', '

rpms': 'FINISHED', 'repoview': 'SKIPPED', 'close_repo_metadata': 'FINISHED', 'drpms': 'SKIPPED', '

comps': 'FINISHED', 'distribution': 'FINISHED', 'save_tar': 'FINISHED', 'publish_directory': 'FINI

SHED', 'errata': 'FINISHED', 'metadata': 'F

INISHED'}, 'result': 'success', 'id': '5b3bb639dc532105135ae42d', 'details': [{'num_processed': 1,
'items_total': 1, 'state': 'FINISHED', 'num_success': 1, 'error_details': [...], 'description': '

Copying files', 'num_failures': 0, 'step_id

': '159c25af-8eea-4225-b0£f3-976..."', ...}1}

Jul 03 13:45:29 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [b673bdl19] Task pul

p.server.async.tasks._release_resource[b673bdl19-9d54-4aed4-8f62-fefaa3a04dd0] succeeded in 0.001217

657s: None

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su

bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr

=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses

=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:

6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1le:1c direction=? spid=1750 suid=0 exe="/usr/sbin/sshd" hostna

me=? addr=? terminal=? res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: USER_START pid=1541 uid=0 auid=0 ses=1 su

bj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr

=192.168.101.1 terminal=ssh res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: CRYPTO_KEY_USER pid=1541 uid=0 auid=0 ses

=1 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=destroy kind=server fp=SHA256:f5:76:el:5e:

6d:ce:2d:45:b7:ca:48:8e:95:de:44:3a:67:69:b

0:08:ae:83:fa:33:bb:c7:ed:f2:cl:68:1le:1c direction=? spid=1764 suid=0 exe="/usr/sbin/sshd" hostna

me=? addr=? terminal=? res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly pulp[l1173]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._qgueue_reserved_task[80ble894-c8b8-4e02-85f6-9b1cl686e797]

Jul 03 13:45:31 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.tasks.repository.delete[d72d6e11-d996-409c-b5c3-18flcffalb3a]
Jul 03 13:45:32 fedora-27-pulp-2-17-nightly pulp[1302]: celery.app.trace:INFO: [80ble894] Task pul

p.server.async.tasks._queue_reserved_task[80b1e894-c8b8-4e02-85f6-9b1cl686e797] succeeded in 0.032

215876s: None

Jul 03 13:45:32 fedora-27-pulp-2-17-nightly pulp[1195]: celery.worker.strategy:INFO: Received task
pulp.server.async.tasks._release_resource[4ee27b41-702b-4141-815e-371af£8000b00]

Jul 03 13:45:32 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [d72d6ell] Task pul

p.server.tasks.repository.delete[d72d6ell1-d996-409c-b5c3-18flcffalb3a] succeeded in 0.114818868s:

<pulp.server.async.tasks.TaskResult object

at 0x7£7e706586d0>

Jul 03 13:45:32 fedora-27-pulp-2-17-nightly pulp[1299]: celery.app.trace:INFO: [4ee27b4l] Task pul

p.server.async.tasks._release_resource[4ee27b41-702b-4141-815e-371af8000b00] succeeded in 0.002619

303s: None

Jul 03 13:45:34 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Jul 03 13:45:34 fedora-27-pulp-2-17-nightly audit[1541]: USER_END pid=1541 uid=0 auid=0 ses=1 subj

=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=login id=0 exe="/usr/sbin/sshd" hostname=? addr=1

92.168.101.1 terminal=ssh res=success'

Here's the RPMs on an affected VM:

[root@fedora-27-pulp-2-17-nightly ~]# rpm -ga | grep pulp | sort
pulp-admin-client-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
pulp-deb-admin-extensions-1.8.0-0.1.alpha.201807021614git4df9825.fc27.noarch
pulp-deb-plugins-1.8.0-0.1.alpha.201807021614git4df9825.fc27.noarch
pulp-docker-admin-extensions-3.2.0-0.1.alpha.201807021600git6dd2677.£fc27.noarch
pulp-docker-plugins-3.2.0-0.1.alpha.201807021600git6dd2677.£fc27.noarch
pulp-ostree-admin-extensions-1.4.0-0.1.alpha.201807021602git2c2d534.fc27.noarch
pulp-ostree-plugins-1.4.0-0.1.alpha.201807021602git2c2d534.fc27.noarch
pulp-puppet-admin-extensions-2.17.0-0.1.alpha.201807021604git44a02f8.fc27.noarch
pulp-puppet-plugins-2.17.0-0.1.alpha.201807021604git44a02£f8.£fc27.noarch
pulp-puppet-tools-2.17.0-0.1.alpha.201807021604git44a02£f8.£fc27.noarch
pulp-python-admin-extensions-2.1.0-0.1.alpha.201807021558gitfabd48c.fc27.noarch
pulp-python-plugins-2.1.0-0.1.alpha.201807021558gitfabd48c.fc27.noarch
pulp-rpm-admin-extensions-2.17.0-0.1.alpha.201807021606git9%e64a04.fc27.noarch
pulp-rpm-plugins—-2.17.0-0.1.alpha.201807021606git%e64a04.fc27.noarch
pulp-selinux-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
pulp-server-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-bindings-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-client-1ib-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-common-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-deb-common-1.8.0-0.1.alpha.201807021614git4df9825.fc27.noarch
python-pulp-docker-common-3.2.0-0.1.alpha.201807021600git6dd2677.fc27.noarch
python-pulp-oid_validation-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-ostree-common-1.4.0-0.1.alpha.201807021602git2c2d534.fc27.noarch
python-pulp-puppet-common-2.17.0-0.1.alpha.201807021604git44a02£f8.fc27.noarch
python-pulp-python-common-2.1.0-0.1.alpha.201807021558gitfabd48c.fc27.noarch
python-pulp-repoauth-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch
python-pulp-rpm-common-2.17.0-0.1.alpha.201807021606git9%e64a04.fc27.noarch
python-pulp-streamer-2.17.0-0.1.alpha.201807021608gitd738592.fc27.noarch

Related issues:
Related to Pulp - Issue #5573: Publish won't create multiple checkecksummed c... CLOSED - CURRENTRELEASE

Associated revisions

Revision 3ce66db5 - 08/28/2018 12:39 AM - bmcivor
Fix RemoveOldRepodata issues found in testing
Addresses the issues found in the testing issue 3816, including:
® minor documentation fixes to match expected behaviour
* remove_old_repodata is now applied as the default as the documents suggested
® setting the threshold for age of repodata files to 0, no longer publishes a repo with no content

* some cleaning up of code from an older implementation that is no longer needed

fixes #3816 https://pulp.plan.io/issues/3816
https://pulp.plan.io/issues/3816

Revision 07be1afc - 09/20/2018 07:41 PM - bmcivor
Fix RemoveOldRepodata issues found in testing
Addresses the issues found in the testing issue 3816, including:
* minor documentation fixes to match expected behaviour
* remove_old_repodata is now applied as the default as the documents suggested
* setting the threshold for age of repodata files to 0, no longer publishes a repo with no content

* some cleaning up of code from an older implementation that is no longer needed

fixes #3816 https://pulp.plan.io/issues/3816

(cherry picked from commit 3ce66db521ca0da884bcdba1ad45b1b7d876f0ae)

History

#1 - 07/03/2018 08:25 PM - Ichimonji10

Also see: https://pulp.plan.io/issues/2788

#3 - 07/03/2018 08:30 PM - Ichimonji10

Also of interest is the Pulp documentation for the yum distributor. See
https://docs.pulpproject.org/en/2.16/plugins/pulp_rpm/tech-reference/yum-plugins.html. To quote:

® remove_old_repodata: Boolean flag to indicate whether or not repodata past expiration are removed during publish. If not present it defaults to
True. The default expiration is 14 days. Files that present in repomd.xml are preserved no matter of their age.

* remove_old_repodata_threshold: If remove_old_repodata is true, this attribute specify maximal age of repodata in seconds that are not removed
during publish. This attribute defaults to 14 days.

#4 - 07/03/2018 08:35 PM - Ichimonji10

- Description updated

#5 - 07/10/2018 04:40 PM - CodeHeeler

- Triaged changed from No to Yes

#6 - 08/20/2018 12:05 PM - ipanova@redhat.com
- Status changed from NEW to POST

https://github.com/pulp/pulp_rpm/pull/1161

#7 - 08/28/2018 09:05 PM - bmcivor
- Status changed from POST to MODIFIED

Applied in changeset 3ce66db521calda884bcdbalad45b1b7d876f0ae.

#8 - 09/18/2018 07:34 PM - dkliban@redhat.com
- Platform Release set to 2.17.1

#9 - 09/20/2018 07:41 PM - bmcivor
Applied in changeset 07be1afc38875d1aaad0692a8306459dd856642a.

#10 - 10/12/2018 08:54 AM - ttereshc
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE

#11 - 04/15/2019 10:10 PM - bmbouter
- Tags Pulp 2 added

#12 - 10/16/2019 07:32 PM - mihai.ibanescu@gmail.com

- Related to Issue #5573: Publish won't create multiple checkecksummed copies of primary.xml, fileliststs.xml etc even when in fast-forward mode
added
